@charset "utf-8";

.cart-summary {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.cart-summary > .title {
    display: none;
    font-size: 22px;
    text-transform: uppercase;
    font-family: 'Quicksand-Bold';
    line-height: 28px;
}
.cart-summary > .totals {
}
.cart-summary > .totals > .line {
    display: none;
    margin-bottom: 1rem;
    align-items: flex-start;
    justify-content: space-between;
}
.cart-summary > .totals > .line > .label {
}
.cart-summary > .totals > .line > .price {
}
.cart-summary > .totals > .line-total {
    display: flex;
    font-size: 18px;
    font-family: 'Quicksand-Bold';
}
.cart-summary > .actions {
}
.cart-summary > .actions > .checkout-link {
    margin-bottom: 1rem;
}
.cart-summary > .actions > .checkout-link-placeholder {
    width: 100%;
    height: 0;
    display: block;
}
.cart-summary > .actions > .checkout-link.stay-fixed {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    padding: 1rem 30px;
    z-index: 10;
    background-color: #fff;
    border-bottom: 1px solid #ddd;
    box-shadow: 0 0.2rem 1rem 0 rgba(0,0,0,0.15);
}
.cart-summary > .actions > .checkout-link > a,
.bottom-checkout-link > a {
    display: inline-block;
    width: 100%;
    font-size: 16px;
    font-family: 'Quicksand-Bold';
    background: var(--m2-brand-red-color);
    height: 52px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    text-transform: uppercase;
    color: var(--m2-brand-white-color);
    border-radius: 5px;
}
.cart-summary > .actions > .paypal-info {
    font-size: 0.9rem;
    text-align: center;
    margin-bottom: 1rem;
}
.cart-summary > .actions > .credit-info-wrap {
    display: none;
    background: #ECEBE8;
    padding: 1rem;
}
.cart-summary > .actions > .credit-info-wrap > .credit-info {
    font-size: 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: nowrap;
    gap: 0.75rem;
}
.cart-summary > .actions > .credit-info-wrap > .credit-info > a {
    display: block;
    text-align: right;
}


.cart-items > .header {
}
.cart-items > .cart-item {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin-bottom: 1.5rem;
    padding-bottom: 1.5rem;
    border-bottom: 1px solid #ddd;
}
.cart-items > .cart-item > .info {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 1rem;
}
.cart-items > .cart-item > .info > .thumb {
}
.cart-items > .cart-item > .info > .thumb > .thumb-link {
}
.cart-items > .cart-item > .info > .thumb > .thumb-link > img {
}
.cart-items > .cart-item > .info > .details {
    font-size: 0.9rem;
    line-height: 1.1rem;
}
.cart-items > .cart-item > .info > .details > .title {
}
.cart-items > .cart-item > .info > .details > .more-info {
    margin-top: 0.5rem;
}
.cart-items > .cart-item > .info > .details > .more-info.item-number {
    font-size: 0.9em;
    color: #666;
}

.cart-items .delivery-details-wrap > .delivery-dates {
}
.cart-items .delivery-details-wrap > .delivery-dates > .range {
    font-family: 'Quicksand-Bold';
}
.cart-items .delivery-details-wrap > .delivery-location {
    margin-top: 0.5rem;
}
.cart-items .delivery-details-wrap > .delivery-location > .loc {
    text-decoration: underline;
    cursor: pointer;
    color: var(--m2-brand-blue-hc-color);
}
.cart-items .delivery-details-wrap > .delivery-location > .loc-icon {
    background-image: url('data:image/svg+xml,<svg fill="%23027db6" height="800px" width="800px" version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 297 297" xml:space="preserve"><g><path d="M148.5,0C87.43,0,37.747,49.703,37.747,110.797c0,91.026,99.729,179.905,103.976,183.645 c1.936,1.705,4.356,2.559,6.777,2.559c2.421,0,4.841-0.853,6.778-2.559c4.245-3.739,103.975-92.618,103.975-183.645 C259.253,49.703,209.57,0,148.5,0z M148.5,272.689c-22.049-21.366-90.243-93.029-90.243-161.892 c0-49.784,40.483-90.287,90.243-90.287s90.243,40.503,90.243,90.287C238.743,179.659,170.549,251.322,148.5,272.689z"/><path d="M148.5,59.183c-28.273,0-51.274,23.154-51.274,51.614c0,28.461,23.001,51.614,51.274,51.614 c28.273,0,51.274-23.153,51.274-51.614C199.774,82.337,176.773,59.183,148.5,59.183z M148.5,141.901 c-16.964,0-30.765-13.953-30.765-31.104c0-17.15,13.801-31.104,30.765-31.104c16.964,0,30.765,13.953,30.765,31.104 C179.265,127.948,165.464,141.901,148.5,141.901z"/></g></svg>');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 16px 24px;
    display: inline-block;
    width: 16px;
    height: 24px;
    vertical-align: top;
    padding-right: 1rem;
}
.cart-items .delivery-details-wrap > .delivery-alert {
    margin-top: 0.5rem;
    font-size: 0.9rem;
}

.cart-items > .cart-item > .purchase {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.cart-items > .cart-item > .purchase > .unit-price {
}
.cart-items > .cart-item > .purchase > .unit-price > .price,
.cart-items > .cart-item > .purchase > .net-price > .price {
    font-family: 'Quicksand-Bold';
}
.cart-items > .cart-item > .purchase > .unit-price > .price > .uom {
    font-family: 'Quicksand-Medium';
    font-size: 0.9em;
}
.cart-items > .cart-item > .purchase > .qty-panel {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    justify-content: flex-end;
    align-items: center;
}
.cart-items > .cart-item > .purchase > .qty-panel > .update-qty {
}
.cart-items > .cart-item > .purchase > .qty-panel > .update-qty > .input-group {
    width: 150px;
    max-width: 180px;
    flex-wrap: nowrap;
}
.cart-items > .cart-item > .purchase > .qty-panel > .update-qty .qty-select,
.cart-items > .cart-item > .purchase > .qty-panel > .update-qty .qty-input {
    height: 34px;
    max-width: 84px;
    text-align: center;
}
.cart-items > .cart-item > .purchase > .qty-panel > .remove-item {
}
.cart-items > .cart-item > .purchase > .qty-panel > .remove-item > a {
    font-size: 0.9rem;
}
.cart-items > .cart-item > .purchase > .net-price {
    display: none;
}
.cart-items > .cart-item > .purchase > .net-price > .price {
}
.cart-items > .cart-item > .purchase > .net-price > .price > .uom {
}

@media only screen and (min-width: 768px) {
    .cart-items > .cart-item {
        flex-direction: row;
        align-items: flex-start;
        justify-content: space-between;
    }
    .cart-items > .cart-item > .info > .details {
        font-size: 1rem;
        line-height: 1.25rem;
    }
    .cart-items > .cart-item > .purchase {
        flex-direction: column;
        align-items: flex-end;
        gap: 1rem;
    }
    .cart-items > .cart-item > .purchase > .unit-price > .price {
        font-size: 1.2rem;
    }
    .cart-items > .cart-item > .purchase > .net-price {
        display: block;
    }
    .cart-items > .cart-item > .purchase > .qty-panel {
        flex-direction: column;
        align-items: flex-end;
        gap: 0.5rem;
    }
    .cart-items > .cart-item > .purchase > .qty-panel > .remove-item > a {
        padding-left: 20px;
        background-image: url(/images/frontend_2023/delete-icon.png);
        background-repeat: no-repeat;
    }
}


@media only screen and (min-width: 768px) {
    .cart-summary {
        flex-direction: row;
        gap: 2rem;
        justify-content: space-between;
    }
    .cart-summary > .totals {
        min-width: 320px;
    }
    .cart-summary > .totals > .line {
        display: flex;
    }
    .cart-summary > .totals > .line-total {
        padding-top: 1rem;
        border-top: 1px solid rgba(112, 112, 112,0.20);
    }
    .cart-summary > .actions > .credit-info-wrap {
        display: block;
    }
}
@media only screen and (min-width: 992px) {
    .cart-summary {
        background: rgba(236, 235, 232,0.20);
        flex-direction: column;
        justify-content: flex-start;
        gap: 0;
    }
    .cart-summary > .title {
        display: block;
        padding: 1rem;
        padding-bottom: 0;
    }
    .cart-summary > .totals {
        min-width: 0;
    }
    .cart-summary > .totals,
    .cart-summary > .actions > .checkout-link,
    .cart-summary > .actions > .paypal-info {
        padding: 1rem;
        padding-bottom: 0;
    }
    .cart-summary > .actions > .checkout-link {
        margin-bottom: 0;
    }
}
@media only screen and (min-width: 1200px) {
    .cart-summary > .title {
        padding: 1.5rem;
        padding-bottom: 0;
    }
    .cart-summary > .totals,
    .cart-summary > .actions > .checkout-link,
    .cart-summary > .actions > .paypal-info {
        padding: 1rem 1.5rem;
        padding-bottom: 0;
    }
    .cart-summary > .actions > .credit-info-wrap {
        padding: 1rem 1.5rem;
    }
}

/* QUICK ADD SKUS */

#m2-cart-qAdd-skusList .pr-row {
    margin-left: 0px;
    margin-right: 0px;
    border-top: 1px solid #ddd;
}
#m2-cart-qAdd-skusList .pr-col-right {
    padding: 6px 10px 6px 0;
}
#m2-cart-qAdd-skusList .pr-col-left {
    padding: 6px 10px;
}
#m2-cart-qAdd-skusList .pr-col > .qty-btn {
    font-size: 28px;
    line-height: 28px;
    padding: 0px 5px 0 0;
    color: #aaa;
    outline: none;
    text-decoration: none;
}
#m2-cart-qAdd-skusList .pr-col > .qty {
    text-align: center;
    padding: 4px 8px;
    border: 1px solid #ddd;
    background-color: #fff;
    width: 50px;
    font-family: Arial;
    font-size: 18px;
    line-height: 18px;
    vertical-align: middle;
    -moz-appearance: textfield;
    margin-left: 5px;
    margin-right: 5px;
}
#m2-cart-qAdd-skusList .pr-col > .cap {
    font-size: 0.8em;
    color: #777;
    font-weight: 400;
    margin-bottom: 3px;
}
#m2-cart-qAdd-skusList .pr-col > .pr {
    color: #b00;
    font-weight: 700;
    white-space: nowrap;
    overflow: hidden;
}
#m2-cart-qAdd-skusList .pr-unit {
    background-color: #eee;
}
#m2-cart-qAdd-skusList .pr-bulk {
    background-color: #eef;
}
#m2-cart-qAdd-skusList .pr-col > .bqty {
    font-size: 0.8em;
    color: #666;
}
